#ifndef MODEL_H
#define MODEL_H

#include <QSqlQueryModel>
#include <QLoggingCategory>

Q_DECLARE_LOGGING_CATEGORY(TG_PLUGIN_MODELS)

class Model : public QSqlQueryModel
{
    Q_OBJECT
public:
    explicit Model(QObject *parent = 0);

public Q_SLOTS:
    void refresh();

protected:
    QString mQueryString;

    QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const;
};

#endif // MODEL_H
